GDBserver

Public Attributes | List of all members
mips_watchpoint Struct Reference

`#include "mips-linux-watch.h"`

## Public Attributes
CORE_ADDR | addr
int | len
enum target_hw_bp_type | type
struct mips_watchpoint * | next

## Detailed Description

Definition at line 93 of file mips-linux-watch.h.

## Member Data Documentation

## ◆ addr

CORE_ADDR mips_watchpoint::addr

Definition at line 95 of file mips-linux-watch.h.

Referenced by mips_add_watchpoint(), mips_linux_new_fork(), mips_linux_watch_populate_regs(), mips_remove_point(), mips_stopped_data_address(), x86_handle_nonaligned_watchpoint(), x86_insert_aligned_watchpoint(), x86_remove_aligned_watchpoint(), and x86_show_dr().

## ◆ len

int mips_watchpoint::len

Definition at line 96 of file mips-linux-watch.h.

Referenced by mips_add_watchpoint(), mips_linux_new_fork(), mips_linux_watch_populate_regs(), mips_remove_point(), mips_stopped_data_address(), x86_handle_nonaligned_watchpoint(), x86_length_and_rw_bits(), and x86_show_dr().

## ◆ next

struct mips_watchpoint* mips_watchpoint::next

Definition at line 98 of file mips-linux-watch.h.

Referenced by mips_add_watchpoint(), mips_linux_new_fork(), mips_linux_watch_populate_regs(), mips_remove_point(), and mips_stopped_data_address().

## ◆ type

enum target_hw_bp_type mips_watchpoint::type

Definition at line 97 of file mips-linux-watch.h.

Referenced by mips_add_watchpoint(), mips_linux_new_fork(), mips_linux_watch_populate_regs(), mips_remove_point(), mips_stopped_data_address(), x86_handle_nonaligned_watchpoint(), x86_length_and_rw_bits(), and x86_show_dr().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/mips-linux-watch.h